curl https://api.voicy.co/v1/get-call/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer voicy_sk_live_xxx"
{
"call_id": "550e8400-e29b-41d4-a716-446655440000",
"call_type": "phone_call",
"call_status": "user_hangup",
"agent": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Customer Support Agent",
"version": 2
},
"account": {
"id": "550e8400-e29b-41d4-a716-446655440099",
"name": "Acme Corp"
},
"from_number": "+15551234567",
"to_number": "+15559876543",
"direction": "outgoing",
"start_timestamp": 1704067200000,
"duration_ms": 120000,
"transcript": [
{
"role": "agent",
"content": "Hello, how can I help you?",
"timestamp_ms": 0
},
{
"role": "caller",
"content": "I need help with my order",
"timestamp_ms": 2500,
"gender": "male"
},
{
"role": "agent",
"content": "Sure, I can help with that.",
"timestamp_ms": 3200,
"latency_breakdown": {
"vad_delay_ms": 500,
"stt_finalize_ms": 1200,
"llm_startup_ms": 85,
"llm_first_sentence_ms": 95,
"tts_synthesis_ms": 130,
"send_overhead_ms": 20,
"total_perceived_ms": 1530
}
}
],
"recording_url": "https://storage.voicy.co/recordings/...",
"summary": "Customer inquiry about order status.",
"call_cost": {
"combined_cost": 0.056,
"currency": "usd"
},
"vars_provided": {
"customer_name": "John"
},
"vars_extracted": {
"appointment_date": "2026-01-15",
"preferred_time": "morning"
}
}
Retrieve details for a specific call
curl https://api.voicy.co/v1/get-call/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer voicy_sk_live_xxx"
{
"call_id": "550e8400-e29b-41d4-a716-446655440000",
"call_type": "phone_call",
"call_status": "user_hangup",
"agent": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Customer Support Agent",
"version": 2
},
"account": {
"id": "550e8400-e29b-41d4-a716-446655440099",
"name": "Acme Corp"
},
"from_number": "+15551234567",
"to_number": "+15559876543",
"direction": "outgoing",
"start_timestamp": 1704067200000,
"duration_ms": 120000,
"transcript": [
{
"role": "agent",
"content": "Hello, how can I help you?",
"timestamp_ms": 0
},
{
"role": "caller",
"content": "I need help with my order",
"timestamp_ms": 2500,
"gender": "male"
},
{
"role": "agent",
"content": "Sure, I can help with that.",
"timestamp_ms": 3200,
"latency_breakdown": {
"vad_delay_ms": 500,
"stt_finalize_ms": 1200,
"llm_startup_ms": 85,
"llm_first_sentence_ms": 95,
"tts_synthesis_ms": 130,
"send_overhead_ms": 20,
"total_perceived_ms": 1530
}
}
],
"recording_url": "https://storage.voicy.co/recordings/...",
"summary": "Customer inquiry about order status.",
"call_cost": {
"combined_cost": 0.056,
"currency": "usd"
},
"vars_provided": {
"customer_name": "John"
},
"vars_extracted": {
"appointment_date": "2026-01-15",
"preferred_time": "morning"
}
}
curl https://api.voicy.co/v1/get-call/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer voicy_sk_live_xxx"
{
"call_id": "550e8400-e29b-41d4-a716-446655440000",
"call_type": "phone_call",
"call_status": "user_hangup",
"agent": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Customer Support Agent",
"version": 2
},
"account": {
"id": "550e8400-e29b-41d4-a716-446655440099",
"name": "Acme Corp"
},
"from_number": "+15551234567",
"to_number": "+15559876543",
"direction": "outgoing",
"start_timestamp": 1704067200000,
"duration_ms": 120000,
"transcript": [
{
"role": "agent",
"content": "Hello, how can I help you?",
"timestamp_ms": 0
},
{
"role": "caller",
"content": "I need help with my order",
"timestamp_ms": 2500,
"gender": "male"
},
{
"role": "agent",
"content": "Sure, I can help with that.",
"timestamp_ms": 3200,
"latency_breakdown": {
"vad_delay_ms": 500,
"stt_finalize_ms": 1200,
"llm_startup_ms": 85,
"llm_first_sentence_ms": 95,
"tts_synthesis_ms": 130,
"send_overhead_ms": 20,
"total_perceived_ms": 1530
}
}
],
"recording_url": "https://storage.voicy.co/recordings/...",
"summary": "Customer inquiry about order status.",
"call_cost": {
"combined_cost": 0.056,
"currency": "usd"
},
"vars_provided": {
"customer_name": "John"
},
"vars_extracted": {
"appointment_date": "2026-01-15",
"preferred_time": "morning"
}
}